/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_COBAIA                                                   */
/* Tabela : COBAIA                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 03/12/2004 - JOAO PAULO REIS                                               */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_COBAIA
BEFORE INSERT OR UPDATE OR DELETE
ON COBAIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCOBA := SYSDATE;
   END IF;
   IF UPDATING THEN
      if (NVL(:OLD.CDCOBAIA,0)     <> NVL(:NEW.CDCOBAIA,0))     OR
         (NVL(:OLD.NMCOBAIA,0)     <> NVL(:NEW.NMCOBAIA,0))     OR
         (NVL(:OLD.IDSEXOCOBAIA,0) <> NVL(:NEW.IDSEXOCOBAIA,0)) OR
         (NVL(:OLD.DTNASCCOBAIA,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTNASCCOBAIA,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.DTOBITCOBAIA,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTOBITCOBAIA,TO_DATE('31/12/1899','DD/MM/YYYY'))) OR
         (NVL(:OLD.CDCOBAIAMAE,0)  <> NVL(:NEW.CDCOBAIAMAE,0))  OR
         (NVL(:OLD.CDCOBAIAPAI,0)  <> NVL(:NEW.CDCOBAIAPAI,0))  OR
         (NVL(:OLD.CDESPEANIMAL,0) <> NVL(:NEW.CDESPEANIMAL,0)) THEN
         :NEW.DTULTATUCOBA:= SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('COBAIA', '', 'CDCOBAIA='||:OLD.CDCOBAIA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE COBAIA MODIFY DTULTATUCOBA DEFAULT SYSDATE
/

