-- ===============================================================
-- Table: SYS_CENARIO
-- ===============================================================
CREATE TABLE SYS_CENARIO
(
 ID_CENARIO VARCHAR2(20),
 DIAS_FUT   VARCHAR2(3),
 UF_ORIGEM  VARCHAR2(2),
 UF_DESTINO VARCHAR2(2),
 ORIGEM     VARCHAR2(50),
 DESTINACAO VARCHAR2(50),
 COD_NATOP  VARCHAR2(10),
 MUN_ORIG   VARCHAR2(10),
 MUN_DEST   VARCHAR2(10),
 CNAE_DEST  VARCHAR2(50),
 ENT_SAI    VARCHAR2(10),
 APELIDO    VARCHAR2(50),
 DTIMPORTA  DATE,
 NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_SYS_CENARIO CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: SYS_MATERIAL
-- ===============================================================
CREATE TABLE SYS_MATERIAL
(
 ID_CENARIO VARCHAR2(20),
 COD_PROD   VARCHAR2(120),
 DESCRICAO  VARCHAR2(250),
 EAN        VARCHAR2(20),
 NCM        VARCHAR2(16),
 EX_TIPI    VARCHAR2(10),
 ORI_PROD   INTEGER,
 CFOP       VARCHAR2(10),
 CEST       VARCHAR2(10),
 ERRO       VARCHAR2(4000),
 IDIMPORTA  VARCHAR2(1),
  NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_SYS_MATERIAL CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: SYS_ICMS
-- ===============================================================
CREATE TABLE SYS_ICMS
(
 ID_CENARIO  VARCHAR2(20),
 COD_PROD    VARCHAR2(120),
 CST         VARCHAR2(3),
 BC_COMPOS   INTEGER,
 ALIQUOTA    FLOAT,
 P_RED_BC    VARCHAR2(20),
 VIG_DE      DATE,
 VIG_ATE     DATE,
 DISPOSITIVO VARCHAR2(900),
 OBSERVACAO  VARCHAR2(900),
   NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_SYS_ICMS CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: SYS_PIS
-- ===============================================================
CREATE TABLE SYS_PIS
(
 ID_CENARIO  VARCHAR2(20),
 COD_PROD    VARCHAR2(120),
 CST         VARCHAR2(3),
 BC_COMPOS   INTEGER,
 ALIQUOTA    FLOAT,
 P_RED_BC    VARCHAR2(20),
 VIG_DE      DATE,
 VIG_ATE     DATE,
 DISPOSITIVO VARCHAR2(900),
 OBSERVACAO  VARCHAR2(900),
    NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_SYS_PIS CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: SYS_COFINS
-- ===============================================================
CREATE TABLE SYS_COFINS
(
 ID_CENARIO  VARCHAR2(20),
 COD_PROD    VARCHAR2(120),
 CST         VARCHAR2(3),
 BC_COMPOS   INTEGER,
 ALIQUOTA    FLOAT,
 P_RED_BC    VARCHAR2(20),
 VIG_DE      DATE,
 VIG_ATE     DATE,
 DISPOSITIVO VARCHAR2(900),
 OBSERVACAO  VARCHAR2(900),
     NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_SYS_COFINS CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: PRODUTO
-- ===============================================================
ALTER TABLE PRODUTO
  ADD SYSTAX_DTEXPXML DATE
/

-- ===============================================================
-- Table: ENVIA_PROD_XML
-- ===============================================================
CREATE TABLE ENVIA_PROD_XML
(
   CDPRODUTOINI VARCHAR2(20),
   CDPRODUTOFIN VARCHAR2(30),
   ARQ_XML      VARCHAR2(4000),
   DTEXPORTA DATE,
        NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_ENVIAPRODXML CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: LOG_ENVIA_PROD_XML
-- ===============================================================
CREATE TABLE LOG_ENVIA_PROD_XML
(
 CDPRODUTO      VARCHAR2(10),
 MENSAGEM       VARCHAR2(4000),
 ID             NUMBER,
 CODIGO         NUMBER,
         NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_LOGENVPRODXML CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
/

-- ===============================================================
-- Table: LOG_IMPORTA_REGRAFIS
-- ===============================================================
CREATE TABLE LOG_IMPORTA_REGRAFIS
(
 ID_CENARIO    VARCHAR2(100),
 COD_PROD      VARCHAR2(20),
 ERRO          VARCHAR2(4000),
          NRORG                       NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
 IDATIVO                    VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_LOGIMPREGRAFIS CHECK (IDATIVO IN ('S','N')),
 DTINCLUSAO             DATE                   NULL,
 DTULTATU                  DATE                  NULL,
 NRORGINCLUSAO      NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
 CDOPERINCLUSAO    VARCHAR2(12)  DEFAULT '1' NULL,
 NRORGULTATU          NUMBER DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
 CDOPERULTATU        VARCHAR2(12)  DEFAULT '1'
)
